<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  
  

  


  <head>
    <title>
      #1866 (SWATCH : Clean up doxygen comments in core swatch packages)
     – cactus
    </title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!--[if IE]><script type="text/javascript">
      if (/^#__msie303:/.test(window.location.hash))
        window.location.replace(window.location.hash.replace(/^#__msie303:/, '#'));
    </script><![endif]-->
        <link rel="search" href="/trac/cactus/search" />
        <link rel="prev" href="/tickets/1865.html" title="Ticket #1865" />
        <link rel="last" href="/tickets/2373.html" title="Ticket #2373" />
        <link rel="help" href="/trac/cactus/wiki/TracGuide" />
        <link rel="alternate" href="/tickets/1866.csv" type="text/csv" class="csv" title="Comma-delimited Text" /><link rel="alternate" href="/tickets/1866?format=tab" type="text/tab-separated-values" class="tab" title="Tab-delimited Text" /><link rel="alternate" href="/tickets/1866?format=rss" type="application/rss+xml" class="rss" title="RSS Feed" />
        <link rel="next" href="/tickets/1867.html" title="Ticket #1867" />
        <link rel="start" href="/trac/cactus/wiki" />
        <link rel="stylesheet" href="/static/trac.css" type="text/css" /><link rel="stylesheet" href="/static/ticket.css" type="text/css" />
        <link rel="first" href="/tickets/1.html" title="Ticket #1" />
        <link rel="shortcut icon" href="http://cactus.web.cern.ch/cactus/images/cactus_ico.gif" type="image/gif" />
        <link rel="icon" href="http://cactus.web.cern.ch/cactus/images/cactus_ico.gif" type="image/gif" />
    <style id="trac-noscript" type="text/css">.trac-noscript { display: none !important }</style>
      <link type="application/opensearchdescription+xml" rel="search" href="/trac/cactus/search/opensearch" title="Search cactus" />
    <script type="text/javascript">
      var auto_preview_timeout=2.0;
      var form_token="0290513cf148ef0e8e79a24c";
      var comments_prefs={"comments_only":"false","comments_order":"oldest"};
    </script>
      <script type="text/javascript" charset="utf-8" src="/static/jquery.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/babel.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/trac.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/search.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/folding.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/wikitoolbar.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/resizer.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/auto_preview.js"></script>
    <script type="text/javascript">
      jQuery("#trac-noscript").remove();
      jQuery(document).ready(function($) {
        $(".trac-autofocus").focus();
        $(".trac-target-new").attr("target", "_blank");
        setTimeout(function() { $(".trac-scroll").scrollToTop() }, 1);
        $(".trac-disable-on-submit").disableOnSubmit();
      });
    </script>
    <script type="text/javascript" src="/static/threaded_comments.js"></script>
    <script type="text/javascript">
      jQuery(document).ready(function($) {
        $("div.description").find("h1,h2,h3,h4,h5,h6").addAnchor(_("Link to this section"));
        $(".foldable").enableFolding(false, true);
      /*<![CDATA[*/
        $("#attachments").toggleClass("collapsed");
        $("#trac-up-attachments").click(function () {
          $("#attachments").removeClass("collapsed");
          return true;
        });
        $("#modify").parent().toggleClass("collapsed");
        $(".trac-topnav a").click(function() { $("#modify").parent().removeClass("collapsed"); });
        /* only enable control elements for the currently selected action */
        var actions = $("#action input[name='action']");
        function updateActionFields() {
          actions.each(function () {
            $(this).siblings().find("*[id]").enable($(this).checked());
            $(this).siblings().filter("*[id]").enable($(this).checked());
          });
        }
        actions.click(updateActionFields);
        updateActionFields();
        function setRevertHandler() {
          $("button.trac-revert").click(function() {
            var div = $("div", this);
            var field_name = div[0].id.substr(7);
            var field_value = div.text();
            var input = $("#propertyform *[name=field_" + field_name + "]");
            if (input.length > 0) {
              if (input.filter("input[type=radio]").length > 0) {
                input.val([field_value]);
              } else if (input.filter("input[type=checkbox]").length > 0) {
                input.val(field_value == "1" ? [field_value] : []);
              } else {
                input.val(field_value);
              }
            } else { // Special case for CC checkbox
              input = $("#propertyform input[name=cc_update]").val([]);
            }
            input.change();
            $(this).closest("li").remove();
            return false;
          });
        }
        setRevertHandler();
        var comment_focused = false;
        $("#comment").focus(function() { comment_focused = true; })
                     .blur(function() { comment_focused = false; });
        $("#propertyform").autoSubmit({preview: '1'}, function(data, reply) {
          var items = $(reply);
          // Update ticket box
          $("#ticket").replaceWith(items.filter('#ticket'));
          // Unthread, unrevert and update changelog
          if (!$('#trac-comments-oldest').checked())
            $('#trac-comments-oldest').click().change();
          $("#changelog").replaceWith(items.filter("#changelog"));
          if ($('#trac-comments-only-toggle').attr('checked'))
            $('#trac-comments-only-toggle').click().attr('checked', true);
          // Show warning
          var new_changes = $("#changelog .trac-new");
          $("#trac-edit-warning").toggle(new_changes.length != 0);
          if (new_changes.length != 0)
            $("#changelog").parent().show().removeClass("collapsed");
          // Update view time
          $("#propertyform input[name='view_time']").replaceWith(items.filter("input[name='view_time']"));
          // Update preview
          var preview = $("#ticketchange").html(items.filter('#preview').children());
          var show_preview = preview.children().length != 0;
          $("#ticketchange").toggle(show_preview);
          setRevertHandler();
          // Collapse property form if comment editor has focus
          if (show_preview && comment_focused)
            $("#modify").parent().addClass("collapsed");
          // Execute scripts to load stylesheets
          items.filter("script").appendTo("head");
        }, "#ticketchange .trac-loading");
        $("#trac-comment-editor").autoSubmit({preview_comment: '1'}, function(data, reply) {
          var comment = $("#trac-comment-editor").next("div.comment").html(reply);
          comment.toggle(comment.children().length != 0);
        }, "#changelog .trac-loading");
        /*]]>*/
      });
    </script>
  </head>
  <body>
    <div id="banner">
      <div id="header">
        <a id="logo" href="/"><img src="/static/cactus_trac_logo.png" alt="" /></a>
      </div>
      <form id="search" action="/trac/cactus/search" method="get">
        <div>
          <label for="proj-search">Search:</label>
          <input type="text" id="proj-search" name="q" size="18" value="" />
          <input type="submit" value="Search" />
        </div>
      </form>
      <div id="metanav" class="nav">
    <ul>
      <li class="first"><a href="/trac/cactus/login">Login</a></li><li><a href="/trac/cactus/prefs">Preferences</a></li><li><a href="/trac/cactus/wiki/TracGuide">Help/Guide</a></li><li class="last"><a href="/trac/cactus/about">About Trac</a></li>
    </ul>
  </div>
    </div>
    <div id="mainnav" class="nav">
    <ul>
      <li class="first"><a href="/trac/cactus/wiki">Wiki</a></li><li><a href="/trac/cactus/timeline">Timeline</a></li><li><a href="/trac/cactus/roadmap">Roadmap</a></li><li><a href="/trac/cactus/browser">Browse Source</a></li><li class="active"><a href="/trac/cactus/report">View Tickets</a></li><li><a href="/trac/cactus/search">Search</a></li><li class="last"><a href="/trac/cactus/blog">Blog</a></li>
    </ul>
  </div>
    <div id="main">
      <div id="ctxtnav" class="nav">
        <h2>Context Navigation</h2>
        <ul>
          <li class="first"><span>&larr; <a class="prev" href="/tickets/1865.html" title="Ticket #1865">Previous Ticket</a></span></li><li class="last"><span><a class="next" href="/tickets/1867.html" title="Ticket #1867">Next Ticket</a> &rarr;</span></li>
        </ul>
        <hr />
      </div>
    <div id="content" class="ticket">
        <div id="ticket" class="trac-content ">
  <div class="date">
    <p>Opened <a class="timeline" href="/trac/cactus/timeline?from=2016-04-21T13%3A18%3A30%2B02%3A00&amp;precision=second" title="See timeline at Apr 21, 2016 1:18:30 PM">3 years ago</a></p>
    <p>Closed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-21T17%3A02%3A56%2B02%3A00&amp;precision=second" title="See timeline at Apr 21, 2016 5:02:56 PM">3 years ago</a></p>
  </div>
  <h2>
    <a href="/tickets/1866.html" class="trac-id">#1866</a>
    <span class="trac-status">
      <a href="/trac/cactus/query?status=closed">closed</a>
    </span>
    <span class="trac-type">
      <a href="/trac/cactus/query?status=!closed&amp;type=defect">defect</a>
    </span>
    <span class="trac-resolution">
      (<a href="/trac/cactus/query?status=closed&amp;resolution=fixed">fixed</a>)
    </span>
  </h2>
  <h1 id="trac-ticket-title" class="searchable">
    <span class="summary">SWATCH : Clean up doxygen comments in core swatch packages</span>
  </h1>
  <table class="properties">
    <tr>
      <th id="h_reporter">Reported by:</th>
      <td headers="h_reporter" class="searchable"><a href="/trac/cactus/query?status=!closed&amp;reporter=tsw">tsw</a></td>
      <th id="h_owner">Owned by:</th>
      <td headers="h_owner"><a href="/trac/cactus/query?status=!closed&amp;owner=tsw">tsw</a></td>
    </tr>
    <tr>
        <th id="h_priority">
          Priority:
        </th>
        <td headers="h_priority">
              <a href="/trac/cactus/query?status=!closed&amp;priority=minor">minor</a>
        </td>
        <th id="h_milestone">
          Milestone:
        </th>
        <td headers="h_milestone">
              <a class="closed milestone" href="/trac/cactus/milestone/SWATCH%20suite%20v0.8.2" title="Completed 3 years ago (Apr 27, 2016 11:59:59 PM)">SWATCH suite v0.8.2</a>
        </td>
    </tr><tr>
        <th id="h_component">
          Component:
        </th>
        <td headers="h_component">
              <a href="/trac/cactus/query?status=!closed&amp;component=swatch">swatch</a>
        </td>
        <th id="h_version" class="missing">
          Version:
        </th>
        <td headers="h_version">
              <a href="/trac/cactus/query?status=!closed&amp;version"></a>
        </td>
    </tr><tr>
        <th id="h_keywords" class="missing">
          Keywords:
        </th>
        <td headers="h_keywords" class="searchable">
        </td>
        <th id="h_cc" class="missing">
          Cc:
        </th>
        <td headers="h_cc" class="searchable">
        </td>
    </tr>
  </table>
  <div class="description">
    <h3 id="comment:description">
      Description
    </h3>
    <div class="searchable">
      <p>
Discovered when taking in-depth look at doxygen pages when testing new scripts for ticket ... there are a few broken doxygen comments in swatch core, that doxygen doesn't handle well - e.g. rogue <tt>@class</tt> tags causing erroneous entries under the "Classes" tab.<br />
</p>

    </div>
  </div>
</div>
          

        <div>
          <div style="position: relative">
            <form id="prefs" method="get" action="/trac/cactus/prefs" style="position: absolute; right: 0">
              <div id="trac-comments-order">
                <input type="radio" id="trac-comments-oldest" name="trac-comments-order" value="oldest" checked="checked" />
                <label for="trac-comments-oldest">Oldest first</label>
                <input type="radio" id="trac-comments-newest" name="trac-comments-order" value="newest" />
                <label for="trac-comments-newest">Newest first</label>
                <span id="trac-threaded-toggle" style="display: none">
                  <input type="radio" id="trac-comments-threaded" name="trac-comments-order" value="threaded" />
                  <label for="trac-comments-threaded">Threaded</label>
                </span>
              </div>
              <div>
                <input id="trac-comments-only-toggle" type="checkbox" />
                <label for="trac-comments-only-toggle">Comments only</label>
              </div>
            </form>
          </div>
          <h3 class="foldable">Change History <span class="trac-count">(5)</span></h3>
          <div id="changelog">
              <div class="change" id="trac-change-1-1461237584076565">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:1" class="cnum">
    <a href="#comment:1">comment:1</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-21T13%3A19%3A44%2B02%3A00&amp;precision=second" title="See timeline at Apr 21, 2016 1:19:44 PM">3 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44808" title="SWATCH cell, refs #1866 : Fix doxygen class tags that fell out-of-sync ...">44808</a>:<br />
</p>
<div class="message"><p>
SWATCH cell, refs <a class="closed ticket" href="/tickets/1866.html" title="defect: SWATCH : Clean up doxygen comments in core swatch packages (closed: fixed)">#1866</a> : Fix doxygen class tags that fell out-of-sync when class was renamed<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-2-1461242435070756">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:2" class="cnum">
    <a href="#comment:2">comment:2</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-21T14%3A40%3A35%2B02%3A00&amp;precision=second" title="See timeline at Apr 21, 2016 2:40:35 PM">3 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44814" title="SWATCH cell, refs #1866 : Move logger's test functions into ...">44814</a>:<br />
</p>
<div class="message"><p>
SWATCH cell, refs <a class="closed ticket" href="/tickets/1866.html" title="defect: SWATCH : Clean up doxygen comments in core swatch packages (closed: fixed)">#1866</a> : Move logger's test functions into swatch::logger::test<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-3-1461243591778280">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:3" class="cnum">
    <a href="#comment:3">comment:3</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-21T14%3A59%3A51%2B02%3A00&amp;precision=second" title="See timeline at Apr 21, 2016 2:59:51 PM">3 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44815" title="SWATCH cell, refs #1866 : Move system unit test struct into ...">44815</a>:<br />
</p>
<div class="message"><p>
SWATCH cell, refs <a class="closed ticket" href="/tickets/1866.html" title="defect: SWATCH : Clean up doxygen comments in core swatch packages (closed: fixed)">#1866</a> : Move system unit test struct into swatch::system::test<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-4-1461245773857775">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:4" class="cnum">
    <a href="#comment:4">comment:4</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-21T15%3A36%3A13%2B02%3A00&amp;precision=second" title="See timeline at Apr 21, 2016 3:36:13 PM">3 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44819" title="SWATCH cell, refs #1866 : Delete class declarations that are already ...">44819</a>:<br />
</p>
<div class="message"><p>
SWATCH cell, refs <a class="closed ticket" href="/tickets/1866.html" title="defect: SWATCH : Clean up doxygen comments in core swatch packages (closed: fixed)">#1866</a> : Delete class declarations that are already commented out (somehow they were confusing doxygen)<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-5-1461250976864121">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:5" class="cnum">
    <a href="#comment:5">comment:5</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-21T17%3A02%3A56%2B02%3A00&amp;precision=second" title="See timeline at Apr 21, 2016 5:02:56 PM">3 years ago</a> by tsw
  </h3>
  <div class="trac-ticket-buttons">
  </div>
  <ul class="changes">
    <li class="trac-field-resolution">
      <strong class="trac-field-resolution">Resolution</strong>
        set to <em>fixed</em>
    </li><li class="trac-field-status">
      <strong class="trac-field-status">Status</strong>
        changed from <em>new</em> to <em>closed</em>
    </li>
  </ul>
    <div class="comment searchable">
      <p>
All done (at least for now)<br />
</p>

    </div>

              </div>
          </div>
        </div>
      <div id="help"><strong>Note:</strong> See
        <a href="/trac/cactus/wiki/TracTickets">TracTickets</a> for help on using
        tickets.</div>
    </div>
    <div id="altlinks">
      <h3>Download in other formats:</h3>
      <ul>
        <li class="first">
          <a rel="nofollow" href="/tickets/1866.csv" class="csv">Comma-delimited Text</a>
        </li><li>
          <a rel="nofollow" href="/tickets/1866?format=tab" class="tab">Tab-delimited Text</a>
        </li><li class="last">
          <a rel="nofollow" href="/tickets/1866?format=rss" class="rss">RSS Feed</a>
        </li>
      </ul>
    </div>
    </div>
    <div id="footer" lang="en" xml:lang="en"><hr />
      <a id="tracpowered" href="http://trac.edgewall.org/"><img src="/static/trac_logo_mini.png" height="30" width="107" alt="Trac Powered" /></a>
      <p class="left">Powered by <a href="/trac/cactus/about"><strong>Trac 1.0.8</strong></a><br />
        By <a href="http://www.edgewall.org/">Edgewall Software</a>.</p>
      <p class="right"></p>
    </div>
  </body>
</html>